Name:           python-rio-tiler
Version:        7.6.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        User friendly Rasterio plugin to read raster datasets.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://cogeotiff.github.io/rio-tiler/
Source:         %{pypi_source rio_tiler}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rio-tiler' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rio-tiler
Summary:        %{summary}

%description -n python3-rio-tiler %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-rio-tiler benchmark,dev,docs,s3,test,tilebench,xarray


%prep
%autosetup -p1 -n rio_tiler-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x benchmark,dev,docs,s3,test,tilebench,xarray


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rio-tiler -f %{pyproject_files}


%changelog
%autochangelog